name: storage-topology
config:
  topology.workers: 1
  topology.tick.tuple.freq.secs: 1
  supervisor.worker.timeout.secs: 60
  #topology.debug: true

spouts:
 - id: storage-throughput-sla-spout
   className: org.apache.storm.flux.wrappers.spouts.FluxShellSpout
   constructorArgs:
     - [mono, mono/storage/extractspout/Storage.ExtractSpout.exe, thr-sla]
     - [Service, Environment, Plane, Metric, TimeEmittedMin, AggregationLevel, Region, ScaleUnit, Scenario, Operation, Value]
   parallelism: 1
 - id: storage-throughput-billable-spout
   className: org.apache.storm.flux.wrappers.spouts.FluxShellSpout
   constructorArgs:
     - [mono, mono/storage/extractspout/Storage.ExtractSpout.exe, thr-bill]
     - [Service, Environment, Plane, Metric, TimeEmittedMin, AggregationLevel, Region, ScaleUnit, Scenario, Operation, Value]
   parallelism: 1
 - id: storage-throughput-spout
   className: org.apache.storm.flux.wrappers.spouts.FluxShellSpout
   constructorArgs:
     - [mono, mono/storage/extractspout/Storage.ExtractSpout.exe, thr]
     - [Service, Environment, Plane, Metric, TimeEmittedMin, AggregationLevel, Region, ScaleUnit, Scenario, Operation, Value]
   parallelism: 1
bolts:
 - id: debug-bolt
   className: org.apache.storm.flux.wrappers.bolts.FluxShellBolt
   constructorArgs:
     - [mono, common/debugbolt/DebugBolt.exe]
     - [Service, Environment, Plane, Metric, TimeEmittedMin, AggregationLevel, Region, ScaleUnit, Scenario, Operation, Value]
   parallelism: 1
# - id: java-debug-bolt
#   className: com.microsoft.azure.sre.datahub.TransformEchoBolt
#   parallelism: 1
# - id: storage-region-bolt
#   className: org.apache.storm.flux.wrappers.bolts.FluxShellBolt
#   constructorArgs:
#     - [mono, mono/storage/regionbolt/Storage.RegionBolt.exe]
#     - [Service, Environment, Plane, Metric, TimeEmittedMin, AggregationLevel, Region, ScaleUnit, Scenario, Operation, Value]
#   parallelism: 1
# - id: storage-redis-bolt
#   className: org.apache.storm.flux.wrappers.bolts.FluxShellBolt
#   constructorArgs:
#     #- ["C:\\OneBranch\\SRE\\DataInsightsHub\\src\\StormDataHub\\Topologies\\Common\\RedisBolt\\bin\\Debug\\RedisBolt.exe", "storage"]
#     - [mono, common/redisbolt/RedisBolt.exe, storage]
#   parallelism: 1
streams:                                                
 - name: "Storage Throughput Sla Spout --> Storage Region Transform"
   from: storage-throughput-sla-spout
   to: debug-bolt
   grouping:                                            
     type: SHUFFLE
 - name: "Storage Throughput Billable Spout --> Storage Region Transform"
   from: storage-throughput-billable-spout
   to: debug-bolt
   grouping:
     type: SHUFFLE
 - name: "Storage Throughput Spout --> Storage Region Transform"
   from: storage-throughput-spout
   to: debug-bolt
   grouping:                                            
     type: SHUFFLE
# - name: "Storage Region Transform --> Storage Redis"
#   from: storage-region-bolt
#   to: java-debug-bolt
#   grouping:                                            
#     type: SHUFFLE
